Bug 1502857 - Status inconsistency in Topology View for OpenStack provider
Summary: Status inconsistency in Topology View for OpenStack provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Sam Lucidi
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-16 20:42 UTC by Jerome Marc
Modified: 2019-02-07 23:00 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:32 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
Topology View and Summary View - OpenStack Status mismatch (66.77 KB, image/png)
2017-10-16 20:42 UTC, Jerome Marc
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:38 UTC

Description Jerome Marc 2017-10-16 20:42:37 UTC
Created attachment 1339463 [details]
Topology View and Summary View - OpenStack Status mismatch

Description of problem:
See attached screenshot. OpenStack provider status in the Topology View does not reflect its status in the Summary View.

Version-Release number of selected component (if applicable):
5.9.0.1.20171004215954_13427ce

How reproducible:
Always

Steps to Reproduce:
1. Have a healthy OSP provider (valid status)
2. Go to Topology View and inspect its status (grey circle and overlay)


Actual results:
Status is reported as null.

Expected results:
Status should be valid.

Additional info:

Comment 4 CFME Bot 2018-11-13 07:01:56 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/c10703a4a5dcd15e48b9f4009d6ae9f659661259
commit c10703a4a5dcd15e48b9f4009d6ae9f659661259
Author:     Sam Lucidi <slucidi@redhat.com>
AuthorDate: Thu Nov  8 17:38:50 2018 -0500
Commit:     Sam Lucidi <slucidi@redhat.com>
CommitDate: Thu Nov  8 17:38:50 2018 -0500

    Use authentication_for_providers to determine topology view status

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1502857

 app/services/cloud_topology_service.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 CFME Bot 2018-11-13 14:17:18 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e008bd9336db3f3b7d95e39785348e22639b9cdd
commit e008bd9336db3f3b7d95e39785348e22639b9cdd
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Nov 13 01:58:54 2018 -0500
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Tue Nov 13 01:58:54 2018 -0500

    Merge pull request #4897 from mansam/use-provider-authentication-for-topology-status

    Use EmsCloud.authentication_for_providers to determine topology view status

    (cherry picked from commit c65e7523a9d484a1adae9a87e0977298b0951943)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1502857

 app/services/cloud_topology_service.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Jad Haj Yahya 2018-11-19 08:01:32 UTC
Verified on 5.10.0.24

Comment 7 errata-xmlrpc 2019-02-07 23:00:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.